Subject: Re: [httpwg/http-extensions] CH editorial (#308)

From: HTTP issue updates <[email-masked]>
Date: Wed, 01 Mar 2017 20:37:38 -0800

ping @igrigorik 

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/httpwg/http-extensions/issues/308#issuecomment-283554170

---

From: HTTP issue updates <[email-masked]>
Date: Fri, 03 Mar 2017 17:20:42 -0800

Thanks for the thorough review Mark!

> In the abstract, s/clients/user agents/g (proxies aren't going to generate them, and shouldn't try)

I'm building an iOS/Android app and want to use CH.. "user agent" doesn't seem to fit? I'd prefer to keep it inclusive.

> Introduction - you might get complaints about the "UA" abbreviation; spell out as User-Agent?

We do define it at the start: "User-Agent (UA; Section 5.5.3 of {{RFC7231}})"

--

Opened PR to address the rest: https://github.com/httpwg/http-extensions/pull/309

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/httpwg/http-extensions/issues/308#issuecomment-284114072

---

From: HTTP issue updates <[email-masked]>
Date: Sun, 05 Mar 2017 17:41:08 -0800

"client" and "user agent" are defined terms in HTTP; client covers *anything* that sends a request, including proxies, whereas user agent is only the originator of requests -- regardless of whether it's a Web browser or app.

(this is not the WHATWG :)

I saw that you defined the abbreviation, but I suspect the RFC editor is going to change it; all other HTTP RFCs use the phrase "user agent." Besides which, "User-Agent" is the name of the header field, further confusing things.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/httpwg/http-extensions/issues/308#issuecomment-284282772

---

From: HTTP issue updates <[email-masked]>
Date: Tue, 14 Mar 2017 01:03:06 -0700

Closed #308 via #309.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/httpwg/http-extensions/issues/308#event-998578846